Share via


Configuration Names - List

Lists the configuration names generated by Service Connector for all target, client types, auth types.

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview&$filter={$filter}&$skipToken={$skipToken}

URI Parameters

Name In Required Type Description
api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

OData filter options.

$skipToken
query

string

OData skipToken option for pagination.

Responses

Name Type Description
200 OK

ConfigurationNameResult

OK. The request has succeeded.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetConfigurationNames

Sample request

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview

Sample response

{
  "value": [
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "systemAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for the token."
          }
        ]
      }
    },
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "userAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_CLIENTID",
            "description": "The client(application) ID of the user identity."
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for getting token."
          }
        ]
      }
    }
  ],
  "nextLink": null
}

Definitions

Name Description
AuthType

The authentication type.

clientType

The application client type

ConfigurationName

The configuration names.

ConfigurationNameItem
ConfigurationNameResult

Configuration Name list which will be set based on different target resource, client type, auth type.

DaprMetadata

The dapr component metadata.

DaprProperties

Indicates some additional properties for dapr client type

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

AuthType

The authentication type.

Value Description
systemAssignedIdentity
userAssignedIdentity
servicePrincipalSecret
servicePrincipalCertificate
secret
accessKey
userAccount

clientType

The application client type

Value Description
none
dotnet
java
python
go
php
ruby
django
nodejs
springBoot
kafka-springBoot
dapr

ConfigurationName

The configuration names.

Name Type Description
description

string

Description for the configuration name.

required

boolean

Represent the configuration is required or not

value

string

ConfigurationNameItem

Name Type Description
properties.authType

AuthType

The auth type.

properties.clientType

clientType

The client type for configuration names.

properties.daprProperties

DaprProperties

Indicates some additional properties for dapr client type

properties.names

ConfigurationName[]

The configuration names to be set in compute service environment.

properties.targetService

string

The target service provider name and resource name.

ConfigurationNameResult

Configuration Name list which will be set based on different target resource, client type, auth type.

Name Type Description
nextLink

string

Link to next page of resources.

value

ConfigurationNameItem[]

Expected configuration names for each target service.

DaprMetadata

The dapr component metadata.

Name Type Description
name

string

Metadata property name.

secretRef

string

The secret name where dapr could get value

value

string

Metadata property value.

DaprProperties

Indicates some additional properties for dapr client type

Name Type Description
componentType

string

The dapr component type

metadata

DaprMetadata[]

Additional dapr metadata

scopes

string[]

The dapr component scopes

secretStoreComponent

string

The name of a secret store dapr to retrieve secret

version

string

The dapr component version

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.